package routes

import (
	"github.com/gofiber/fiber/v2"
	"github.com/sujit-baniya/fiber-boilerplate/rest/middlewares"
)

// Configuración de rutas web
func WebRoutes(web fiber.Router) {
	// Aplicar el middleware para desactivar el caché
	web.Use(middlewares.LoadCacheHeaders)
	//publicas
	RutasPublicas(web)
	// Rutas específicas del backend
	LandingRoutes(web)
	WebAuthRoutes(web)
	UserRoutes(web)
	PortalRoutes(web)
}
